Aria: ArGlobalRetFunctor2< Ret, P1, P2 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalRetFunctor2< Ret, P1, P2 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalRetFunctor2< Ret, P1, P2 >:

List of all members.

## Detailed Description

### template<class Ret, class P1, class P2>
class ArGlobalRetFunctor2< Ret, P1, P2 >

Functor for a global function with 2 parameters and return value.

This is a class for global functions which take 2 parameters and return a value. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalRetFunctor2 (Ret(*func)(P1, P2), P1 p1, P2 p2)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor2 (Ret(*func)(P1, P2), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalRetFunctor2 (Ret(*func)(P1, P2))
| Constructor - supply function pointer.
| ArGlobalRetFunctor2 ()
| Constructor.
virtual Ret | invokeR (P1 p1, P2 p2)
| Invokes the functor with return value.
virtual Ret | invokeR (P1 p1)
| Invokes the functor with return value.
virtual Ret | invokeR (void)
| Invokes the functor with return value.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual void | setP2 (P2 p2)
| Set the default 2nd parameter.
virtual | ~ArGlobalRetFunctor2 ()
| Destructor.
## Protected Attributes
Ret(* | myFunc )(P1, P2)
P1 | myP1
P2 | myP2

## Constructor & Destructor Documentation

template<class Ret, class P1, class P2>

ArGlobalRetFunctor2< Ret, P1, P2 >::ArGlobalRetFunctor2 | ( | Ret(*)(P1, P2) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class Ret, class P1, class P2>

ArGlobalRetFunctor2< Ret, P1, P2 >::ArGlobalRetFunctor2 | ( | Ret(*)(P1, P2) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

template<class Ret, class P1, class P2>

ArGlobalRetFunctor2< Ret, P1, P2 >::ArGlobalRetFunctor2 | ( | Ret(*)(P1, P2) | func,
|  | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter
  | p2 | default second parameter

## Member Function Documentation

template<class Ret, class P1, class P2>

virtual Ret ArGlobalRetFunctor2< Ret, P1, P2 >::invokeR | ( | P1 | p1,
|  | P2 | p2 |
| ) |  |  | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter
  | p2 | second parameter

Implements ArRetFunctor2< Ret, P1, P2 >.

template<class Ret, class P1, class P2>

virtual Ret ArGlobalRetFunctor2< Ret, P1, P2 >::invokeR | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor with return value.

Parameters:

  | p1 | first parameter

Implements ArRetFunctor2< Ret, P1, P2 >.

template<class Ret, class P1, class P2>

virtual void ArGlobalRetFunctor2< Ret, P1, P2 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

template<class Ret, class P1, class P2>

virtual void ArGlobalRetFunctor2< Ret, P1, P2 >::setP2 | ( | P2 | p2 | ) | `[inline, virtual]`

Set the default 2nd parameter.

Parameters:

  | p2 | default second parameter

The documentation for this class was generated from the following file:

- ArFunctor.h